#include <iostream>
using namespace std;

int main()
{
    int n;
    cin>>n;
    double z;
    double a[n], q[n], p[n];
    for(int i=0; i<n; i++){
        cin>>a[i]>>q[i];
        p[i]=q[i]/100;}
        double z1=p[0]*a[0];
        double z2=p[1]*(a[0]+a[1]);
        z=max(z1, z2);
        cout<<z;
    return 0;
}